" No email required "BP 1.5 Compatible ?

Hi,

"No email required" is it compatible with BuddyPress 1.5 ?

Regards

Lamine